Changeset 521 for ThirdParty/Blas


Ignore:
Timestamp:
Aug 20, 2007 12:04:50 AM (12 years ago)
Author:
andreasw
Message:

merging changes from Bug Squashing Party Aug 2007 to regular trunk

Location:
ThirdParty/Blas/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r442 r521  
    16821682
    16831683
     1684#turn off warnings and pedantic mode since they could make trouble on some platforms,
     1685#and we couldn't fix them anyway
     1686coin_skip_warn_fflags=yes
     1687
    16841688# Check if user wants to produce debugging code
    16851689
     
    18001804  if test "$enable_doscompile" != no; then
    18011805     case $build in
    1802        *-cygwin*) ;;
    1803        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1804 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1806       *-cygwin* | *-mingw*) ;;
     1807       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1808echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18051809   { (exit 1); exit 1; }; } ;;
    18061810     esac
     
    18101814fi;
    18111815 case "$enable_doscompile" in
    1812    msvc|mingw|no) ;;
     1816   mingw)
     1817     case $build in
     1818       *-mingw*) enable_doscompile=no ;;
     1819     esac
     1820     ;;
     1821   msvc|no) ;;
    18131822   yes) enable_doscompile=mingw ;;
    18141823   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    27602769          xlc* | */xlc* | mpxlc* | */mpxlc*)
    27612770            coin_opt_cflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    2762             coin_add_cflags="-bmaxdata:0x80000000"
     2771            coin_add_cflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    27632772            coin_dbg_cflags="-g"
    27642773          ;;
     
    32053214
    32063215# Provide some information about the compiler.
    3207 echo "$as_me:3207:" \
     3216echo "$as_me:3216:" \
    32083217     "checking for Fortran 77 compiler version" >&5
    32093218ac_compiler=`set X $ac_compile; echo $2`
     
    34873496          xlf* | */xlf* | mpxlf* | */mpxlf* )
    34883497            coin_opt_fflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3489             coin_add_fflags="-bmaxdata:0x80000000"
     3498            coin_add_fflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    34903499            coin_dbg_fflags="-g -C"
    34913500            ;;
     
    53405349*-*-irix6*)
    53415350  # Find out which ABI we are using.
    5342   echo '#line 5342 "configure"' > conftest.$ac_ext
     5351  echo '#line 5351 "configure"' > conftest.$ac_ext
    53435352  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    53445353  (eval $ac_compile) 2>&5
     
    77697778   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77707779   -e 's:$: $lt_compiler_flag:'`
    7771    (eval echo "\"\$as_me:7771: $lt_compile\"" >&5)
     7780   (eval echo "\"\$as_me:7780: $lt_compile\"" >&5)
    77727781   (eval "$lt_compile" 2>conftest.err)
    77737782   ac_status=$?
    77747783   cat conftest.err >&5
    7775    echo "$as_me:7775: \$? = $ac_status" >&5
     7784   echo "$as_me:7784: \$? = $ac_status" >&5
    77767785   if (exit $ac_status) && test -s "$ac_outfile"; then
    77777786     # The compiler can only warn and ignore the option if not recognized
     
    80378046   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80388047   -e 's:$: $lt_compiler_flag:'`
    8039    (eval echo "\"\$as_me:8039: $lt_compile\"" >&5)
     8048   (eval echo "\"\$as_me:8048: $lt_compile\"" >&5)
    80408049   (eval "$lt_compile" 2>conftest.err)
    80418050   ac_status=$?
    80428051   cat conftest.err >&5
    8043    echo "$as_me:8043: \$? = $ac_status" >&5
     8052   echo "$as_me:8052: \$? = $ac_status" >&5
    80448053   if (exit $ac_status) && test -s "$ac_outfile"; then
    80458054     # The compiler can only warn and ignore the option if not recognized
     
    81418150   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81428151   -e 's:$: $lt_compiler_flag:'`
    8143    (eval echo "\"\$as_me:8143: $lt_compile\"" >&5)
     8152   (eval echo "\"\$as_me:8152: $lt_compile\"" >&5)
    81448153   (eval "$lt_compile" 2>out/conftest.err)
    81458154   ac_status=$?
    81468155   cat out/conftest.err >&5
    8147    echo "$as_me:8147: \$? = $ac_status" >&5
     8156   echo "$as_me:8156: \$? = $ac_status" >&5
    81488157   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81498158   then
     
    1048610495  lt_status=$lt_dlunknown
    1048710496  cat > conftest.$ac_ext <<EOF
    10488 #line 10488 "configure"
     10497#line 10497 "configure"
    1048910498#include "confdefs.h"
    1049010499
     
    1058610595  lt_status=$lt_dlunknown
    1058710596  cat > conftest.$ac_ext <<EOF
    10588 #line 10588 "configure"
     10597#line 10597 "configure"
    1058910598#include "confdefs.h"
    1059010599
     
    1293012939   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293112940   -e 's:$: $lt_compiler_flag:'`
    12932    (eval echo "\"\$as_me:12932: $lt_compile\"" >&5)
     12941   (eval echo "\"\$as_me:12941: $lt_compile\"" >&5)
    1293312942   (eval "$lt_compile" 2>conftest.err)
    1293412943   ac_status=$?
    1293512944   cat conftest.err >&5
    12936    echo "$as_me:12936: \$? = $ac_status" >&5
     12945   echo "$as_me:12945: \$? = $ac_status" >&5
    1293712946   if (exit $ac_status) && test -s "$ac_outfile"; then
    1293812947     # The compiler can only warn and ignore the option if not recognized
     
    1303413043   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1303513044   -e 's:$: $lt_compiler_flag:'`
    13036    (eval echo "\"\$as_me:13036: $lt_compile\"" >&5)
     13045   (eval echo "\"\$as_me:13045: $lt_compile\"" >&5)
    1303713046   (eval "$lt_compile" 2>out/conftest.err)
    1303813047   ac_status=$?
    1303913048   cat out/conftest.err >&5
    13040    echo "$as_me:13040: \$? = $ac_status" >&5
     13049   echo "$as_me:13049: \$? = $ac_status" >&5
    1304113050   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1304213051   then
     
    1460414613   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460514614   -e 's:$: $lt_compiler_flag:'`
    14606    (eval echo "\"\$as_me:14606: $lt_compile\"" >&5)
     14615   (eval echo "\"\$as_me:14615: $lt_compile\"" >&5)
    1460714616   (eval "$lt_compile" 2>conftest.err)
    1460814617   ac_status=$?
    1460914618   cat conftest.err >&5
    14610    echo "$as_me:14610: \$? = $ac_status" >&5
     14619   echo "$as_me:14619: \$? = $ac_status" >&5
    1461114620   if (exit $ac_status) && test -s "$ac_outfile"; then
    1461214621     # The compiler can only warn and ignore the option if not recognized
     
    1470814717   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470914718   -e 's:$: $lt_compiler_flag:'`
    14710    (eval echo "\"\$as_me:14710: $lt_compile\"" >&5)
     14719   (eval echo "\"\$as_me:14719: $lt_compile\"" >&5)
    1471114720   (eval "$lt_compile" 2>out/conftest.err)
    1471214721   ac_status=$?
    1471314722   cat out/conftest.err >&5
    14714    echo "$as_me:14714: \$? = $ac_status" >&5
     14723   echo "$as_me:14723: \$? = $ac_status" >&5
    1471514724   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1471614725   then
     
    1691516924   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691616925   -e 's:$: $lt_compiler_flag:'`
    16917    (eval echo "\"\$as_me:16917: $lt_compile\"" >&5)
     16926   (eval echo "\"\$as_me:16926: $lt_compile\"" >&5)
    1691816927   (eval "$lt_compile" 2>conftest.err)
    1691916928   ac_status=$?
    1692016929   cat conftest.err >&5
    16921    echo "$as_me:16921: \$? = $ac_status" >&5
     16930   echo "$as_me:16930: \$? = $ac_status" >&5
    1692216931   if (exit $ac_status) && test -s "$ac_outfile"; then
    1692316932     # The compiler can only warn and ignore the option if not recognized
     
    1718317192   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718417193   -e 's:$: $lt_compiler_flag:'`
    17185    (eval echo "\"\$as_me:17185: $lt_compile\"" >&5)
     17194   (eval echo "\"\$as_me:17194: $lt_compile\"" >&5)
    1718617195   (eval "$lt_compile" 2>conftest.err)
    1718717196   ac_status=$?
    1718817197   cat conftest.err >&5
    17189    echo "$as_me:17189: \$? = $ac_status" >&5
     17198   echo "$as_me:17198: \$? = $ac_status" >&5
    1719017199   if (exit $ac_status) && test -s "$ac_outfile"; then
    1719117200     # The compiler can only warn and ignore the option if not recognized
     
    1728717296   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1728817297   -e 's:$: $lt_compiler_flag:'`
    17289    (eval echo "\"\$as_me:17289: $lt_compile\"" >&5)
     17298   (eval echo "\"\$as_me:17298: $lt_compile\"" >&5)
    1729017299   (eval "$lt_compile" 2>out/conftest.err)
    1729117300   ac_status=$?
    1729217301   cat out/conftest.err >&5
    17293    echo "$as_me:17293: \$? = $ac_status" >&5
     17302   echo "$as_me:17302: \$? = $ac_status" >&5
    1729417303   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1729517304   then
     
    2021520224ac_save_FFLAGS=$FFLAGS
    2021620225FFLAGS="$FFLAGS $ac_verb"
    20217 (eval echo $as_me:20217: \"$ac_link\") >&5
     20226(eval echo $as_me:20226: \"$ac_link\") >&5
    2021820227ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2021920228echo "$ac_f77_v_output" >&5
     
    2029320302ac_save_FFLAGS=$FFLAGS
    2029420303FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    20295 (eval echo $as_me:20295: \"$ac_link\") >&5
     20304(eval echo $as_me:20304: \"$ac_link\") >&5
    2029620305ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2029720306echo "$ac_f77_v_output" >&5
  • ThirdParty/Blas/trunk/configure.ac

    r403 r521  
    4040AC_CANONICAL_BUILD
    4141
     42#turn off warnings and pedantic mode since they could make trouble on some platforms,
     43#and we couldn't fix them anyway
     44coin_skip_warn_fflags=yes
     45
    4246# Check if user wants to produce debugging code
    4347AC_COIN_DEBUG_COMPILE(Blas)
  • ThirdParty/Blas/trunk/get.Blas

    r387 r521  
    33set -e
    44
     5wgetcmd=wget
    56wgetcount=`which wget 2>/dev/null | wc -w`
    67if test ! $wgetcount = 1; then
    78  echo "Utility wget not found in your PATH."
    8   exit -1
     9  if test `uname` = Darwin; then
     10    wgetcmd=ftp
     11    echo "Using ftp command instead."
     12  else
     13    exit -1
     14  fi
    915fi
    1016
     
    1622
    1723echo "Downloading the source code from www.netlib.org..."
    18 wget ftp://www.netlib.org/blas/blas.tgz
     24$wgetcmd ftp://www.netlib.org/blas/blas.tgz
    1925
    2026echo "Uncompressing the tarball..."
Note: See TracChangeset for help on using the changeset viewer.